CREATE TABLE cmk_collab_msg_attachments[ (
    MSG_ATTACHMENT_ID        NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    MESSAGE_ID               NUMBER(18, 0)     NOT NULL,
    RET_SEQUENCE             NUMBER(18, 0)     NOT NULL,
    ENTITY_KEY_XPATH         VARCHAR2(4000),
    PARENT_KEY1_XPATH        VARCHAR2(4000),
    PARENT_KEY2_XPATH        VARCHAR2(4000),
    PARENT_KEY3_XPATH        VARCHAR2(4000),
    PARENT_KEY4_XPATH        VARCHAR2(4000),
    PARENT_KEY5_XPATH        VARCHAR2(4000),
    PARENT_KEY6_XPATH        VARCHAR2(4000),
    SOURCE_UCM_ID_XPATH      VARCHAR2(4000),
    TARGET_ELEMENT_XPATH     VARCHAR2(4000),
    TARGET_NAME_XPATH        VARCHAR2(4000),
    TARGET_TYPE_XPATH        VARCHAR2(4000),
    TARGET_SIZE_XPATH        VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL
);
